Bug 1472212 (CVE-2017-7771) - CVE-2017-7771 graphite2: out of bounds read in "graphite2::Pass::readPass"
Summary: CVE-2017-7771 graphite2: out of bounds read in "graphite2::Pass::readPass"
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7771
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170614,reported=2...
Depends On: 1472290 1472291 1472292
Blocks: 1469141
TreeView+ depends on / blocked
 
Reported: 2017-07-18 09:18 UTC by Stefan Cornelius
Modified: 2019-06-08 22:07 UTC (History)
5 users (show)

Fixed In Version: graphite2 1.3.10
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read flaw related to "graphite2::Pass::readPass" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.
Clone Of:
Environment:
Last Closed: 2017-07-21 09:12:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1793 normal SHIPPED_LIVE Important: graphite2 security update 2017-07-21 03:16:00 UTC

Description Stefan Cornelius 2017-07-18 09:18:57 UTC
An out of bounds read flaw related to "graphite2::Pass::readPass" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.

Comment 1 Stefan Cornelius 2017-07-18 09:19:06 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek, Tyson Smith

Comment 4 errata-xmlrpc 2017-07-20 23:16:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1793 https://access.redhat.com/errata/RHSA-2017:1793


Note You need to log in before you can comment on or make changes to this bug.